@echo off

setlocal ENABLEEXTENSIONS

:: #######################
:: ### Configuration   ###
:: #######################

set Firmware=2056-190_Corona_extreme_V03.01_0210.fwx

set Directory=%~dp0
set ApplicationDirectory=CenProd 1.1.10
set ApplicationExecutable=CenProd.exe
set Executable=%Directory%\%ApplicationDirectory%\%ApplicationExecutable%
set FirmwareFile=%Directory%\%Firmware%
set Log=%Firmware%_Update.log
set LogFile=%Directory%\%Log%

:: #######################
:: ### Warning output  ###
:: #######################

echo.
echo.You're about to update the Corona extreme device from Revision 2 to Revision 3!
echo.This is only necessary when applying the service kit ____-___!
echo.Wrongfully applying this update may result in device failure!
echo.
echo.Do you want to proceed?
set /p Accept=[y,n]

if %Accept% == y goto EnterIP
if %Accept% == n goto Exit

:: #######################
:: ### IP address      ###
:: #######################

:EnterIP

echo. 
echo.Please enter the IP address of the device (e.g. 192.168.0.177):
set /p IP=[IP]

:: #######################
:: ### Execution       ###
:: #######################

echo.
echo.Executing update...
echo.
"%Executable%" /Silent /CheckMatchingFw:False /UpdateFw:"%FirmwareFile%" /LogFile:"%LogFile%" /IP:"%IP%"

if !errorlevel! NEQ 0 goto Error

:: #######################
:: ### Finish          ###
:: #######################

echo.Update succeeded!
echo.
pause
goto Exit

:Error
echo.Update failed with error code %errorlevel%!
echo.Please refer to the log file "%Log%" for further information.
echo.
pause
exit %errorlevel%

:Exit
exit 0